Package org.jbpm.workflow.core

## Interface Constraint

- All Known Subinterfaces:
    `ConstraintEvaluator`
  All Known Implementing Classes:
    `ConstraintImpl`, `ReturnValueConstraintEvaluator`, `RuleConstraintEvaluator`

      public interface Constraint

  Represents a constraint in a RuleFlow. Can be used to specify conditions in (X)OR-splits.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getConstraint()` | Typically this method returns the constraint as a String
    `String` | `getDialect()` | Returns the dialect of the constraint, e.g.
    `Object` | `getMetaData​(String name)` |
    `String` | `getName()` | Returns the name of the constraint
    `int` | `getPriority()` | Returns the priority of the constraint
    `String` | `getType()` | Returns the type of the constraint, e.g.
    `boolean` | `isDefault()` |
    `void` | `setConstraint​(String constraint)` | Method for setting the constraint
    `void` | `setDefault​(boolean isDefault)` |
    `void` | `setDialect​(String dialect)` | Method for setting the dialect of the constraint, e.g.
    `void` | `setMetaData​(String name, Object value)` |
    `void` | `setName​(String name)` | Sets the name of the constraint
    `void` | `setPriority​(int priority)` | Method for setting the priority of the constraint
    `void` | `setType​(String type)` | Method for setting the type of the constraint, e.g.

- - ### Method Detail

    - #### getConstraint

          String getConstraint()

      Typically this method returns the constraint as a String
      Returns:
        the constraint

    - #### setConstraint

          void setConstraint​(String constraint)

      Method for setting the constraint
      Parameters:
        `constraint` - the constraint

    - #### getName

          String getName()

      Returns the name of the constraint
      Returns:
        the name of the constraint

    - #### setName

          void setName​(String name)

      Sets the name of the constraint
      Parameters:
        `name` - the name of the constraint

    - #### getPriority

          int getPriority()

      Returns the priority of the constraint
      Returns:
        the priority of the constraint

    - #### setPriority

          void setPriority​(int priority)

      Method for setting the priority of the constraint
      Parameters:
        `priority` - the priority of the constraint

    - #### getType

          String getType()

      Returns the type of the constraint, e.g. "code" or "rule"
      Returns:
        the type of the constraint

    - #### setType

          void setType​(String type)

      Method for setting the type of the constraint, e.g. "code" or "rule"
      Parameters:
        `type` - the type of the constraint

    - #### getDialect

          String getDialect()

      Returns the dialect of the constraint, e.g. "mvel" or "java"
      Returns:
        the dialect of the constraint

    - #### setDialect

          void setDialect​(String dialect)

      Method for setting the dialect of the constraint, e.g. "mvel" or "java"
      Parameters:
        `dialect` - the dialect of the constraint

    - #### isDefault

          boolean isDefault()

    - #### setDefault

          void setDefault​(boolean isDefault)

    - #### setMetaData

          void setMetaData​(String name,
                           Object value)

    - #### getMetaData

          Object getMetaData​(String name)